Subject: bug#24549: closed (Re: bug#24549: 25.1; Customizing group `text')

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Oct 2016 13:41:02 +0000

Your bug report

#24549: 25.1; Customizing group `text'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24549: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24549
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24549: 25.1; Customizing group `text'
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Sat, 08 Oct 2016 16:40:49 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 27 Sep 2016 09:58:29 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > IOW, we can (1) make a group `text' that behaves essentially
> > > like `wp' and (2) let users know that `wp' is considered
> > > deprecated.
> > 
> > If this works, it is probably better, yes.
> 
> IOW, something like the code below.

Thanks, done on the master branch.

> Question 1: Why is group `outlines' declared in both
> cus-edit.el and outline.el?  And in outline.el it has a
> prefix declared, but not in cus-edit.el.  Group `outlines'
> is not _used_ in cus-edit.el, AFAICT.  What would happen
> if we removed group `outlines' from cus-edit.el?
> (This question has nothing to do with this bug report.
> Just happened to notice the duplication.)

This duplication is an oversight from when outline.el was converted to
use Custom.  I fixed this now.

> Question 2: Should group `text' inherit directly from group
> `emacs'?  Should it also inherit from group `wp'?

I left it inherit from both.  It cannot do any harm, I think.

> I think the answer to both of these is yes.  WDYT?
> 
> Question 3: Should group `wp' still be inherited from, by a
> group that now inherits from `text'?  E.g., should group
> `tildify' inherit from both `wp' as well as from `text'?
> 
> I don't think so.  If group `text' itself inherits from `wp'
> then I don't think there is any reason that we need to have
> other groups still inherit directly from `wp' (as well as
> from `text').  WDYT?

I agree.

I think this bug is now done.

Subject: 25.1; Customizing group `text'
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Mon, 26 Sep 2016 13:46:26 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

1. M-x customize-group RET emacs RET

That shows a group named "Text".

2. M-x customize-group RET text RET

says "[No match]"

There is apparently no such group - at least none reachable using
completion.

Something seems wrong, somewhere, e.g., for `customize-group'.

In GNU Emacs 25.1.1 (x86_64-w64-mingw32)
 of 2016-09-17 built on LAPHROAIG
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --without-dbus --without-compress-install CFLAGS=-static'